Subject: Re: [Ace] Robert Wilton's No Objection on draft-ietf-ace-dtls-authorize-16: (with COMMENT)

From: Olaf Bergmann <[email-masked]>
Date: Mon, 10 May 2021 15:17:46 +0200

Hi Rob,

sorry for the late response. Please find our comments inline.

Grüße
Olaf

On 2021-03-25, Robert Wilton via Datatracker <[email-masked]> wrote:

> Robert Wilton has entered the following ballot position for
> draft-ietf-ace-dtls-authorize-16: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-ace-dtls-authorize/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Hi,
>
> Thanks for this document.  Like Eric V, I was slightly surprised to see this
> defined to use DTLS 1.2 when DTLS 1.3 is on the same telechat, which is
> obsoleting the DTLS 1.2 RFC.
>
> But what is not obvious to me is whether the protocol is allowed to
> use a later
> version of DTLS, or whether it is strictly tied to DTLS 1.2 and an
> updated RFC
> would be required to use a newer version of DTLS.  Either way,
> possibly a few
> words to clarify this may be beneficial to readers, but I'll leave it to the
> author's discretion.

Thank you for raising this issue. We have addressed this in our response
to Éric's review, suggesting a clarifying sentence that in general, this
specification would also apply to DTLS 1.3.